commit:     b9e1da402d5d7a1aae031b0a197b82e8b1fc1cd0
Author:     Aisha Tammy <gentoo <AT> aisha <DOT> cc>
AuthorDate: Wed Dec 23 06:04:20 2020 +0000
Commit:     Sam James <sam <AT> gentoo <DOT> org>
CommitDate: Sun Dec 27 03:23:09 2020 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=b9e1da40

dev-python/plotly: version bump to 4.14.1

Package-Manager: Portage-3.0.12, Repoman-3.0.2
Signed-off-by: Aisha Tammy <gentoo <AT> aisha.cc>
Closes: https://github.com/gentoo/gentoo/pull/18773
Signed-off-by: Sam James <sam <AT> gentoo.org>

 dev-python/plotly/Manifest             |  1 +
 dev-python/plotly/plotly-4.14.1.ebuild | 29 +++++++++++++++++++++++++++++
 2 files changed, 30 insertions(+)

diff --git a/dev-python/plotly/Manifest b/dev-python/plotly/Manifest
index 3e25f85db56..5f28c863a26 100644
--- a/dev-python/plotly/Manifest
+++ b/dev-python/plotly/Manifest
@@ -1,2 +1,3 @@
 DIST plotly-1.9.6.tar.gz 546722 BLAKE2B 
5905af517ef40bc077492f01b49c367c0aa03a96accb86ec072e188a43e463c187a0b9dee3d0df33669aa6d600ed9127b067c7099947e5235331d14ce10bf33c
 SHA512 
7564036ed3745fc06ee7428942e45ca6bfaefa1e47b08a5868a918924268ee632515f1de4bf3e90911234f18a4d85b092ecb6ef9f213b939093dcb433a12dec4
 DIST plotly-4.10.0.tar.gz 6263967 BLAKE2B 
a78ddf286993621a555cc7f34a5ad0f44e93dcceb9bdac2a20f0cd80257e90485f20b4c89a350a3718b104401d7677a762231c6a774e5c2757a2de1454822875
 SHA512 
bc32dac7e5621b254c3868e85ed18133ad8341bed5784f707a89242c5e1ef9959afc603a91ccb068aca24032d3ff5b44678811c405d579284334f051f59f93aa
+DIST plotly-4.14.1.tar.gz 6373585 BLAKE2B 
8e8d15a7f68bbef835fcbc0048c2457916aad1b10e06c903222030b2b2e1b902e2d42080f8ac2c19928dabd7e1623210930b9f33dededa71dbbb28b2f41f848c
 SHA512 
e052680d0e7344b9f53f1b917dd0b9bc87b0c34300d93b8958ccb35b38f9dc5e7fb4db016d1113df4bae78c419f3d378112c59c3470723ce1349eaadbc5011f8

diff --git a/dev-python/plotly/plotly-4.14.1.ebuild 
b/dev-python/plotly/plotly-4.14.1.ebuild
new file mode 100644
index 00000000000..24a60e31680
--- /dev/null
+++ b/dev-python/plotly/plotly-4.14.1.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2020 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{6..9} )
+
+inherit distutils-r1
+
+DESCRIPTION="Browser-based graphing library for Python"
+HOMEPAGE="https://plot.ly/python/";
+SRC_URI="mirror://pypi/${PN:0:1}/${PN}/${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+RDEPEND="
+       dev-python/retrying[${PYTHON_USEDEP}]
+       dev-python/six[${PYTHON_USEDEP}]
+"
+
+python_install_all() {
+       distutils-r1_python_install_all
+
+       mkdir -p "${ED}"/etc/ || die
+       mv "${ED}"/usr/etc/jupyter "${ED}"/etc/ || die
+       rmdir "${ED}"/usr/etc || die
+}

Reply via email to